Skip to Content

Recommended Browsers and Plug-ins

Recommended Browsers

You should use the latest versions of the following web browsers:

NOTE: You may use other browsers, but some functions in TRACS will result in unexpected behavior, or may not work at all.

Plug-ins

You must have Adobe Flash Player installed and enabled to use certain content uploaded by professors in TRACS. 

Free download